POST /v1/actions/list-templates

Liste tous les templates de votre tenant, optionnellement filtrés par statut d'approbation Meta.

Renvoie chaque template de votre tenant. Filtrez par statut d'approbation Meta pour trouver ceux qui sont envoyables.

POST /api/v1/actions/list-templates

Corps de la requête

Champ Type Requis Notes
status string non L'un de APPROVED, PENDING, REJECTED
curl -X POST https://www.qyvo.io/api/v1/actions/list-templates \
  -H "Authorization: Bearer YOUR_TOKEN_HERE" \
  -H "Content-Type: application/json" \
  -d '{"status": "APPROVED"}'
const templates = await fetch('https://www.qyvo.io/api/v1/actions/list-templates', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.QYVO_TOKEN}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ status: 'APPROVED' }),
}).then((r) => r.json());
$templates = Http::withToken(env('QYVO_TOKEN'))
    ->post('https://www.qyvo.io/api/v1/actions/list-templates', [
        'status' => 'APPROVED',
    ])
    ->json();
import os, httpx
templates = httpx.post(
    'https://www.qyvo.io/api/v1/actions/list-templates',
    headers={'Authorization': f"Bearer {os.environ['QYVO_TOKEN']}"},
    json={'status': 'APPROVED'},
).json()

Réponse — 200 OK

[
  {
    "id": "01J0AB...",
    "name": "order_confirmation",
    "category": "UTILITY",
    "status": "APPROVED",
    "languages": ["en", "fr", "es"],
    "created_at": "2026-04-15T10:32:00+00:00"
  }
]
Champ Notes
name Nom du template Meta (snake_case, unique par tenant)
category UTILITY, MARKETING, AUTHENTICATION — détermine le palier de tarification Meta
status État au niveau du tenant. Un template peut être APPROVED globalement mais avec seulement certaines traductions approuvées — voir get-template.
languages Tous les codes de langue de traduction attachés au template

Note sur la tarification

Les templates sont facturés par catégorie par Meta — UTILITY est bon marché, MARKETING est la catégorie chère. Le texte libre dans la fenêtre de 24 h est gratuit. Voir la page de tarification Qyvo pour le détail complet.